package cn.pluss.platform.bsj.conn.domain;

import lombok.AllArgsConstructor;
import lombok.Getter;



/*
    博实结pos相应code码
 */
@Getter
@AllArgsConstructor
public enum CodeEnum {

    SUCCESS("0000", "操作成功"),

    PARAM_ERROR("0001", "参数不正确"),

    SIGN_ERROR("0002", "签名校验异常"),

    ORG_ID_NOT_FOUND("0003", "缺少机构ID"),

    STORE_NOT_FOUND("1001", "未找到机具"),

    ORDER_NOT_FOUND("2001", "未找到订单"),

    ORDER_REFUND_ERROR("2002", "订单退款异常"),

    PASSWORD_NOT_INIT("2011", "安全密码未初始化，请前往银收客APP进行初始化"),
    PASSWORD_ERROR("2021", "安全密码错误，若忘记密码，可前往银收客APP进行重置"),
            ;

    private final String val;

    private final String desc;
}
